Announcement

Collapse
No announcement yet.

Unable to uninstall older or install newer Firefox plugin

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Lane
    replied
    Originally posted by Lane View Post
    Win7 Pro x64, SP 1
    How do I get rid of the old plugin that appears to be blocking the install of the new one?
    Figured it out myself. Hope this helps out someone else.

    I had to locate the Firefox plugins folder, and rename the 'npFoxitReaderPlugin.dll' file to 'XnpFoxitReaderPlugin.dll'. (Default location is 'C:\Program Files\Mozilla Firefox\plugins\'; on a 64-bit system that would be under the 'C:\Program Files (x86)\' folder. Renaming is safer than simply deleting in case I needed to restore it.)

    That enabled the Foxit update process to succeed. Then, once I verified the new version was in Firefox plugin, I deleted the renamed older plugin.

    --Lane

    Leave a comment:


  • Unable to uninstall older or install newer Firefox plugin

    Win7 Pro x64, SP 1
    Foxit Reader 5.3.1.0606
    Firefox 13.0.1
    Foxit Reader Plugin for Mozilla 1.0.1.1117 (disabled)
    firefox_plugin_reader_2.2.1.530.fzip installed via Foxit Reader 5.3.1.0606

    Uninstalled previous version of FR and then installed v5.3.1. Configured to view PDFs in Browser. Then installed new plugin, apparently successfully.

    New Firefox plugin version is not present in the Addon Plugin Manager. Older plugin can only be disabled, not uninstalled. PDF on website with old plugin gives an 'unable to load OCX' error. When plugin is disabled, PDFs just display the 'plugin is disabled' message.

    How do I get rid of the old plugin that appears to be blocking the install of the new one?

    --Lane
Working...
X